What is the maintenance window for the Production Environment?
TabaPay operates 24x7x365. Routine maintenance is scheduled during periods of lower activity, typically mid-week, and is not expected to cause an outage.
- For uptime status, refer to TabaPay System Status.
- For announcements, refer to Bulletins.
How quickly can we do a change (configuration) on the Production Environment?
To maintain PCI Level 1, SOC1 Type 1, and SOC2 Type 2 compliance, TabaPay follows controlled procedures and processes.
For Production configuration changes:
- Submit your request by Friday morning.
- Changes will be implemented by end of day Monday (or Tuesday, if Monday is a Holiday.)
Plan Production changes in advance, including: boarding new clients, changing limits, whitelisting IP addresses. other configuration changes, etc.
Ready to go into Production?
In order to go into Production, we need the following things to be completed:
| Activity | Description |
|---|---|
| PCI | AOC or SAQ (select the correct questionnaire) |
| Sandbox Certification | Just run your normal QA Tests against your Application connected to our backend
(API) And run various Error Conditions/Scenarios, see the Certification Test document from TabaPay Support |
| TabaPay Boarding Sheet | Your Support Contact Information Your Financial (Accounting) Information |
What is the Certification Test?
The Certification Test allows TabaPay to review your application's API requests before you move to Production. This includes you to run your standard QA tests against the TabaPay Sandbox Environment to:
- Test the different types of API requests your application will send.
- Show the TabaPay team different types of API requests you will send to TabaPay.
- Receive feedback on the requests sent to TabaPay.
- Identify integration issues before they reach Production.
- Verify that sensitive data and request values are formatted correctly.
For example, Certification Testing can identify issues such as:
- Incorrectly named Security Code fields that expose CVV2 values in logs, which exposes TabaPay (PCI) and your customer.
- Inconsistent amount formatting such as .4 instead of 0.40.
Run your application's full QA test suite while connected to the TabaPay API in Sandbox before completing Certification.
400s on Production
Once you certify, getting a 4xx error should be a rare occurrence. Completing the Production Certification Test in its entirety is strongly recommended, particularly the portion that requires integrating your application with TabaPay API calls.
For more info on 400 Errors, refer to Anti-Patterns to Avoid, or Error Messages.
Locking your Client?
If the Bank and/or TabaPay detect abnormal patterns/behavior with regard to your:
- API Requests, or
- Limits, or
- Settlement Account
your Client state may become LOCKed. TabaPay will try to contact you first (Speak to your bank to see their procedure for handling abnormal/suspicious patterns.)
If your Client is LOCKed, please contact TabaPay support: [email protected].
Disabling your IP Address?
TabaPay may block an allowlisted/whitelisted IP address if abnormal or suspicious activity is detected. eb Application Firewalls (WAFs) and Intrusion Detection and Prevention Systems (IDS/IPSs) protect TabaPay's internet-facing systems, and probing activity from client systems is not permitted. Any kind of probes from Client systems are not allowed. All probes will be shutdown.
If an IP address is blocked, submit a request to TabaPay Support, or email [email protected] to have the IP address reviewed and reenabled.
A reason for disabling your IP Address?
Repeated attempts to access TabaPay systems in a manner that violates security protocols may result in your IP address being disabled. This includes unauthorized probes, scans, or other suspicious activity.
What is "EM":"JSON NOT PACKED"?
Each API request body, or payload should be formatted in compact JSONwhen using the TabaPay API. Create Transaction API, Query Card API, or Query Bank API all require removing any whitespaces for a successful call. API examples in TabaPay docs are presented in a human-readable format for clarity.
Here is an example of Query Card API with packed JSON.
{"card":{"accountNumber":"4111111111111111","expirationDate":"202708","securityCode":"232"},"owner":{"name":{"first":"Test","last":"Name"},"address":{"line1":"123 Street","city":"San Francisco","state":"CA","zipcode":"94104","country":"840"}},"currency":"840","timeout":"39"}More FAQS
Is there rate limiting in Production?
Yes production rate limiting safeguards exist to activate only in cases of unusually high or disruptive traffic patterns.
For example, rapid API request bursts or large batches of queued transactions submitted at once will trigger rate limits in Production to ensure overall platform stability for all clients.
